\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{autoreferat}
\LoadClass[12pt]{article}
\usepackage{ifthen}
\newenvironment{thebibliography*}[1]
{\@mkboth{\MakeUppercase\refname}{\MakeUppercase\refname}%
 \list{\@biblabel{\@arabic\c@enumiv}}%
 {\settowidth\labelwidth{\@biblabel{#1}}%
  \leftmargin\labelwidth
  \advance\leftmargin\labelsep
  \@openbib@code
  \usecounter{enumiv}%
  \let\p@enumiv\@empty
  \renewcommand\theenumiv{\@arabic\c@enumiv}}%
 \sloppy
 \clubpenalty4000
 \@clubpenalty \clubpenalty
 \widowpenalty4000%
 \sfcode`\.\@m}
{\def\@noitemerr
 {\@latex@warning{Empty `thebibliography' environment}}%
 \endlist}
\def\@maketitle{%
  \newpage
  \null
  \vskip 2em%
  \begin{center}%
  \let \footnote \thanks
    {\LARGE \@title \par}%
    \vskip 1.5em%
    {\large
      \lineskip .5em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
    \vskip 1em%
    {\large \@date}%
  \end{center}%
  \par
  \vskip 1.5em}
\newcommand{\formula}[2][nolabel]
{\ifthenelse{\equal{#1}{nolabel}}
 {\begin{align*} #2 \end{align*}}
 {\ifthenelse{\equal{#1}{}}
  {\begin{align} #2 \end{align}}
  {\begin{align} \label{#1} #2 \end{align}}
 }
}
